package nc.impl.sap.log;

import java.util.List;

import nc.bs.dao.BaseDAO;
import nc.bs.logging.Logger;
import nc.itf.sap.log.ISapLog;
import nc.vo.sap.log.SapPurchaseLogVO;
/**
 * @Description: 日志接口
 * 
 * @author 谢文如 【碧桂园SAP专项】
 * @date 2018-4-4
 * @version with NC V6.3
 */
public class SapLogImpl implements ISapLog {
//
//	@Override
//	public void insertFinanceLog_RequiresNew(List<SapFinanceLogVO> sapFinanceLogVOs) {
//		try {
//			BaseDAO dao  = new BaseDAO();
//			dao.insertVOArray(sapFinanceLogVOs.toArray(new SapFinanceLogVO[0]));
//		} catch (Exception e) {
//			Logger.error(e);
//			e.printStackTrace();
//		}
//	}
//
//	@Override
//	public void insertFundLog_RequiresNew(List<SapFundLogVO> sapFundLogVOs) {
//		try {
//			BaseDAO dao  = new BaseDAO();
//			dao.insertVOArray(sapFundLogVOs.toArray(new SapFundLogVO[0]));
//		} catch (Exception e) {
//			Logger.error(e);
//			e.printStackTrace();
//		}
//	}

	@Override
	public void insertPurchaseLog_RequiresNew(List<SapPurchaseLogVO> sapPurchaseLogVOs) {
		try {
			BaseDAO dao  = new BaseDAO();
			dao.insertVOArray(sapPurchaseLogVOs.toArray(new SapPurchaseLogVO[0]));
		} catch (Exception e) {
			Logger.error(e);
			e.printStackTrace();
		}
	}
	@Override
	public void insertLogVO_RequiresNew(SapPurchaseLogVO logVO) {
		try {
			BaseDAO dao = new BaseDAO();
			dao.insertVO(logVO);
		} catch (Exception e) {
			Logger.error("SAP采购接口录入日志异常",e);
			e.printStackTrace();
		}
	}

//	@Override
//	public void insertHRLog_RequiresNew(List<SapHRLogVO> sapHRLogVOs) {
//		try {
//			BaseDAO dao  = new BaseDAO();
//			dao.insertVOArray(sapHRLogVOs.toArray(new SapFinanceLogVO[0]));
//		} catch (Exception e) {
//			Logger.error(e);
//			e.printStackTrace();
//		}
//	}
//
//	@Override
//	public void insertFinanceLog_RequiresNew(SapFinanceLogVO sapFinanceLogVO) {
//		try {
//			BaseDAO dao  = new BaseDAO();
//			dao.insertVO(sapFinanceLogVO);
//		} catch (Exception e) {
//			Logger.error(e);
//			e.printStackTrace();
//		}
//	}
//
//	@Override
//	public void insertFundLog_RequiresNew(SapFundLogVO sapFundLogVO) {
//		try {
//			BaseDAO dao  = new BaseDAO();
//			dao.insertVO(sapFundLogVO);
//		} catch (Exception e) {
//			Logger.error(e);
//			e.printStackTrace();
//		}
//	}
}
